Skip to main content
Version: 26.01

Performance Monitoring - Read Device Trace

Endpoint​

/o/apm/device

Overview​

Returns the aggregate data, data over time and metrics of one device trace.

Authentication​

Pass api_key or auth_token as a query parameter, or send countly-token as a header. See Authentication.

Permissions​

Requires performance_monitoring Read permission.

Request Parameters​

ParameterTypeRequiredDescription
app_idStringYesApplication ID.
idStringYesTrace ID, as returned by Performance Monitoring - Read Overview.
api_keyStringConditionalRequired if auth_token is not provided.
auth_tokenStringConditionalRequired if api_key is not provided.

Examples​

Read a device trace​

/o/apm/device?
app_id=6991c75b024cb89cdc04efd2&
api_key=YOUR_API_KEY&
id=TRACE_ID

Response​

Success Response​

{
"aggregate": {
"for_loop": {
"name": "for_loop",
"id": "TRACE_ID",
"data": {
"duration": [2000, 2000],
"bytes": [20, 20]
}
}
},
"overTime": {
"for_loop": {
"name": "for_loop",
"id": "TRACE_ID",
"data": {
"duration": {
"2022.4.7": [2000, 2000]
},
"bytes": {
"2022.4.7": [20, 20]
}
}
}
},
"metrices": {
"bytes": true,
"duration": true
},
"trace": "for_loop"
}

Response Fields​

FieldTypeDescription
traceStringName of the trace.
aggregateObjectAggregate data of the trace.
overTimeObjectData of the trace over time.
metricesObjectAll metrics of the trace.

Error Responses​

  • 400
{
"result": "Device trace id not provided"
}